Bug 220948 - adaasync() should set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE
Summary: adaasync() should set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Alexander Motin
URL:
Keywords: patch, regression
Depends on:
Blocks:
 
Reported: 2017-07-23 16:02 UTC by Fabian Keil
Modified: 2017-08-03 07:21 UTC (History)
3 users (show)

See Also:


Attachments
adaasync(): Set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE (1.04 KB, patch)
2017-07-23 16:02 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2017-07-23 16:02:47 UTC
Created attachment 184638 [details]
adaasync(): Set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE

The attached patch lets adaasync() set ADA_STATE_WCACHE based on
ADA_FLAG_CAN_WCACHE instead of ADA_FLAG_CAN_RAHEAD.

This fixes a regression introduced in r300207 which changed
the flag names.

Obtained from: ElectroBSD
Comment 1 Alexander Motin freebsd_committer 2017-07-27 07:29:05 UTC
Committed.  Thank you!
Comment 2 commit-hook freebsd_committer 2017-07-27 07:29:35 UTC
A commit references this bug:

Author: mav
Date: Thu Jul 27 07:28:29 UTC 2017
New revision: 321606
URL: https://svnweb.freebsd.org/changeset/base/321606

Log:
  adaasync(): Set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE

  The attached patch lets adaasync() set ADA_STATE_WCACHE based on
  ADA_FLAG_CAN_WCACHE instead of ADA_FLAG_CAN_RAHEAD.

  This fixes a regression introduced in r300207 which changed
  the flag names.

  PR:		220948
  Submitted by:	Fabian Keil <fk@fabiankeil.de>
  Obtained from:	ElectroBSD
  MFC after:	1 week

Changes:
  head/sys/cam/ata/ata_da.c
Comment 3 commit-hook freebsd_committer 2017-08-03 07:21:23 UTC
A commit references this bug:

Author: mav
Date: Thu Aug  3 07:20:19 UTC 2017
New revision: 321976
URL: https://svnweb.freebsd.org/changeset/base/321976

Log:
  MFC r321606: adaasync(): Set ADA_STATE_WCACHE based on ADA_FLAG_CAN_WCACHE

  The attached patch lets adaasync() set ADA_STATE_WCACHE based on
  ADA_FLAG_CAN_WCACHE instead of ADA_FLAG_CAN_RAHEAD.

  This fixes a regression introduced in r300207 which changed
  the flag names.

  PR:		220948
  Submitted by:	Fabian Keil <fk@fabiankeil.de>
  Obtained from:	ElectroBSD

Changes:
_U  stable/11/
  stable/11/sys/cam/ata/ata_da.c
Comment 4 Alexander Motin freebsd_committer 2017-08-03 07:21:56 UTC
Merged to stable/11.